<?php

/*
 * khoaofgod@gmail.com
 * Website: http://www.phpfastcache.com
 * Example at our website, any bugs, problems, please visit http://faster.phpfastcache.com
 */

if (!defined('ABSPATH'))
{
    exit;
}

interface pdapp_phpfastcache_driver
{
    /*
     * Check if this Cache driver is available for server or not
     */
    function __construct($config = array());

    function pdapp_checkdriver();

    /*
     * SET
     * set a obj to cache
     */
    function pdapp_driver_set($keyword, $value = "", $time = 300, $option = array());

    /*
     * GET
     * return null or value of cache
     */
     function pdapp_driver_get($keyword, $option = array());

    /*
     * Stats
     * Show stats of caching
     * Return array ("info","size","data")
     */
     function pdapp_driver_stats($option = array());

    /*
     * Delete
     * Delete a cache
     */
     function pdapp_driver_delete($keyword, $option = array());

    /*
     * clean
     * Clean up whole cache
     */
     function pdapp_driver_clean($option = array());
}